# Analyses

- [Create an Analysis](https://docs.predicthq.com/api/beam/analyses/create-an-analysis.md): Creating an Analysis is the first step in understand which types of events impact your demand.
- [Update an Analysis](https://docs.predicthq.com/api/beam/analyses/update-an-analysis.md): Update (replace) an existing Analysis.
- [Partially Update an Analysis](https://docs.predicthq.com/api/beam/analyses/partially-update-an-analysis.md): Partially update an existing Analysis.
- [Delete an Analysis](https://docs.predicthq.com/api/beam/analyses/delete-an-analysis.md): Delete an existing Analysis.
- [Search Analyses](https://docs.predicthq.com/api/beam/analyses/search-analyses.md): Search for an existing Analysis.
- [Get an Analysis](https://docs.predicthq.com/api/beam/analyses/get-an-analysis.md): Get an existing Analysis.
- [Refresh an Analysis](https://docs.predicthq.com/api/beam/analyses/refresh-an-analysis.md): Rerun the Beam correlation and analysis process.
- [Upload Demand Data](https://docs.predicthq.com/api/beam/analyses/upload-demand-data.md): Upload your demand data as CSV, line-delimited JSON or JSON.
- [Get Correlation Results](https://docs.predicthq.com/api/beam/analyses/get-correlation.md)
- [Get Feature Importance](https://docs.predicthq.com/api/beam/analyses/get-feature-importance.md): Get relevant ML features based on a Beam Analysis.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.predicthq.com/api/beam/analyses.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
